View Issue Details

IDProjectCategoryView StatusLast Update
0000001SoftwareConnectionpublic2007-08-05 00:29
ReporterPeterAssigned ToPeter 
PriorityimmediateSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.2 
Target VersionFixed in Version1.3.3 
Summary0000001: Automatically attempt reconnection to ECU after connection lost
DescriptionParticularly important for Pocket PC users, when you turn the car off, then back on again, you need to click on the gauges to exit out of them, then re-select the COMx port dropdown list to re-initiate the connection to the ECU. This is the case even if auto connect option is selected (which only auto connects on program start, not on disconnection).

Need to have it so ECUTalk will automatically retry connection whenever it is lost.
TagsNo tags attached.

Activities

Peter

2007-08-05 00:29

administrator   ~0000002

when 5 seconds elapses since last data was received, ecutalk will start attempting to reconnect (whilst the gauges are still shown, ie in the background). so as soon as the connection is set back up (ie car started, consult cable plugged back in, etc), the gauges will start responding.

so, if you set up your pda so that it turns off after 30s when on battery power, then when your car turns off, the connection is lost, ecutalk will start to retry connection...then pda will be turned off, until you start car again, once pda turns back on it will reconnect and continue showing gauges/logging.

Issue History

Date Modified Username Field Change
2007-07-11 10:13 Peter New Issue
2007-07-12 12:56 Peter Severity major => feature
2007-07-13 22:45 Peter Reproducibility always => N/A
2007-07-19 22:14 Peter Status new => assigned
2007-07-19 22:14 Peter Assigned To => Peter
2007-08-05 00:29 Peter Note Added: 0000002
2007-08-05 00:29 Peter Status assigned => closed
2007-08-05 00:29 Peter Resolution open => fixed
2007-08-05 00:29 Peter Fixed in Version => 1.3.3